/**
 * RegisterRoute. Prepares the Register screen's state.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

define('routes/register/registerroute',
		['app',
		 'ember',
		 'views/register/registerview',
		 'controllers/register/registercontroller'],
		 function(Filmeet){
	Filmeet.RegisterRoute = Ember.Route.extend({
		/**
		 * Setting all the controller's properties to
		 * default values.
		 */
		setupController: function(controller, model){
			controller.set('userEmail', null);
			controller.set('username', null);
			controller.set('password', null);
		}
	});
});