/**
 * Function that shows a confirmation dialog for closing the app.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('utils/closeapp',
		['nls/i18nhelper',
		 'cordova'],
		function(I18nHelper){
	return function(){
		navigator.notification.confirm(
				I18nHelper.getValueFromKey('closeAppQuestion'),  // Message
				function(buttonIndex){  // Callback
					if(buttonIndex==2){
						navigator.app.exitApp();
					}
				},
				I18nHelper.getValueFromKey('filmeetAppName'),  // Title
				I18nHelper.getValueFromKey('cancel')+',OK'  // buttonNames
		);
	}
});