/**
 * i18n messages. Language: en_EN
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define({
	'root': {
			'filmeetAppName': 'Filmeet',
			/*
			 * appview.hbs
			 */
			'newMeeting': 'New meeting',
			/*
			 * closeapp.js 
			 */
			'closeAppQuestion': 'Do you want to exit?',
			/*
			 * loginview.hbs
			 */
			'email': 'Email',
			'password': 'Password',
			'login': 'Login',
			'errorLogin': 'Incorrect username or password. Try again.',
			'errorEmptyUsername': "You've not written an username.",
			'errorEmptyPassword': "You've not written a password.",
			'errors': 'Errors',
			'notInYet': 'Not in yet?',
			'joinFilmeet': 'Join Filmeet!',
			/*
			 * registerview.hbs
			 */
			'registerSteps': 'Joining Filmeet is very easy. Just follow these steps.',
			'registerStepOne': 'Write your username first.',
			'registerStepTwo': 'Write your email.',
			'registerStepThree': 'Write a secure password.',
			'username': 'Username',
			'cancel': 'Cancel',
			'finish': 'Finish',
			'errorEmail': 'The email is not valid.',
			'errorExistingUser': "There's another user registered with this username or email. Try with other.",
			/*
			 * homeview.hbs
			 */
			'hello': 'Hello',
			'nextConfirmedMeetings': 'These are your next confirmed meetings:',
			'noNextMeetings': "You don't have any meetings soon. Why don't you create a new one? ;-)",
			'newestFilms': 'These are the newest added films:',
			/*
			 * profileview.hbs 
			 */
			'profile': 'Profile',
			'selectOption': 'Select an option',
			'seen': 'Seen',
			'wannaSee': 'Wanna see',
			'gotIt': 'Got it',
			'wannaSeeOtherUser': 'Wanna see',
			'gotItOtherUser': 'Got it',
			/*
			 * meetingsindexview.hbs
			 */
			'meetings': 'Meetings',
			'yourNextMeetings': 'These are your next meetings:',
			/*
			 * meetingsnewsteponeview.hbs
			 */
			'createMeeting': 'Create meeting',
			'meetingName': 'Meeting name',
			'chooseWhen': 'Choose when to make it',
			'date': 'Date',
			'time': 'Time',
			'numberAndFilters': 'Choose how many films to be voted and filtered',
			'numberFilms': 'Number of films',
			'notSeen': 'Not seen',
			'someoneGotIt': "Someone's got it",
			'next': 'Next',
			'errorNoMeetingName': "You've not written the meeting name.",
			'errorNotFutureDate': "You've not written a valid date for the meeting.",
			'errorInvalidNumCandidate': "You've not written a valid number of candidates.",
			'errorAtLeastOneCandidate': "There must be at least one film candidate.",
			'errorNotMoreFiveCandidates': "You can only have 5 film candidates.",
			/*
			 * meetingsnewsteptwoview.hbs
			 */
			'inviteFriends': "Invite your friends",
			'searchFriends': 'Search friends...',
			'goingToInviteTheseFriends': "You're inviting these friends to join this meeting",
			'friendsGotFilms': "If you want to vote films that your friends have, touch the film button next to its username",
			'errorNoInvitedFriends': "You've not invited any friends",
			'errorNoGotItFriend': 'You have to choose at least one friend that has the films',
			'oneMoreThing': 'One more thing...',
			'yourGotFilms': 'Would you like to vote the films you have in your film library?',
			'errorNoFilms': "We've not found any films with the filters you've chosen. Try adding more friends or changing the filters.",
			/*
			 * onemeetingvoteview.hbs
			 */
			'voteFilms': "Vote the films you want to see",
			'youCanSelect': 'You can select',
			'only': 'only',
			'upTo': 'up to',
			'filmsLowCase': 'films',
			'filmLowCase': 'film',
			'youSelectedAllFilms': "You've selected all the films",
			'goingToVoteFilms': "You're voting these films",
			'vote': 'Vote',
			'errorAtLeastOneFilm': 'You have to vote at least one film.',
			'errorMaxFilms': 'You can only vote these number of films:',
			/*
			 * onemeetingdetailsview.hbs
			 */
			'meeting': 'Meeting',
			'ranking': 'Ranking',
			'voteAndSeeRanking': "Do it and check how's going the ranking!",
			'meetingMembers': 'Meeting members',
			'hasVoted': 'has voted',
			'notVotedYet': "You've not voted any film that",
			'itsInCinema': "it's in cinemas",
			'youHaventSeen': "you've not seen",
			'have': 'have',
			'has': 'has',
			'and': 'and',
			/*
			 * filmsdirectoryview.hbs
			 */
			'films': 'Films',
			'searchFilm': 'Search film...',
			'notGotIt': 'Not got it',
			/*
			 * filmsnewview.hbs
			 */
			'createFilm': 'Create film',
			'filmName': 'Name',
			'filmGenre': 'Genre',
			'filmSynopsis': 'Synopsis',
			'filmPremiere': 'Premiere year',
			'filmInCinema': 'Now in cinemas',
			'create': 'Create',
			'errorNoFilmName': "You've not written the film name.",
			'errorInvalidPremiereNumber': "You've not written the premiere year correctly.",
			/*
			 * filmsonedetails.hbs
			 */
			'filmFile': 'Film file of',
			/*
			 * notificationsview.hbs
			 */	
			'notifications': 'Notifications',
			'noNotifications': "You don't have notifications. Make friends and meetings to have activity! ;-)",
			'theMeeting': 'The meeting',
			'meetingHasBeenVoted': 'has been voted',
			'friendInvitedYouMeeting': 'has invited you to join the meeting',
			'newFriendship': 'has added you as a friend',
			/*
			 * friendsfinderview.hbs
			 */
			'users': 'Users',
			'goToMyFriends': 'Go to my friends',
			'searchFriends': 'Search friends',
			'addFriend': 'Add',
			/*
			 * friendsdirectoryview.hbs
			 */
			'friends': 'Friends',
			'goToFinderFriends': 'Go to finder friends',
			'noFriends': "You don't have friends. Search them!",
			/*
			 * configurationview.hbs
			 */
			'configuration': 'Configuration',
			'save': 'Save',
			'closeSession': 'Close session',
			'errorExistingEmail': 'The email already exists',
			/*
			 * Months
			 */
			'january': 'January',
			'february': 'February',
			'march': 'March',
			'april': 'April',
			'may': 'May',
			'june': 'June',
			'july': 'July',
			'august': 'August',
			'september': 'September',
			'october': 'October',
			'november': 'November',
			'december': 'December'
	},
	'es': true
});