/**
 * MeetingsIndexRoute.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

define('routes/meetings/meetingsindexroute',
		['app',
		 'utils/transitionutils',
		 'ember',
		 'views/meetings/index/meetingsindexview',
		 'controllers/meetings/index/meetingsindexcontroller',
		 'models/meeting/meeting'],
		 function(Filmeet, TransitionUtils){
	Filmeet.MeetingsIndexRoute = Ember.Route.extend({
		activate: function(){
			TransitionUtils.setContext(this);
			document.addEventListener('backbutton', TransitionUtils.goHome, false);
		},
		deactivate: function(){
			TransitionUtils.setContext(this);
			document.removeEventListener('backbutton', TransitionUtils.goHome);
		},
		setupController: function(controller, model){
			controller.set('content', Filmeet.Meeting.getAll());
		}
	});
});