/**
 * MeetingsNewStepTwoRoute.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

define('routes/meetings/meetingsnewsteptworoute',
		['app',
		 'utils/timeutils',
		 'ember',
		 'views/meetings/newsteptwo/meetingsnewsteptwoview',
		 'controllers/meetings/newsteptwo/meetingsnewsteptwocontroller',
		 'models/meeting/meeting',
		 'models/user/user'],
		 function(Filmeet, TimeUtils){
	Filmeet.MeetingsNewStepTwoRoute = Ember.Route.extend({
		serialize: function(context) {
			return {
				newMeetingName: context.get('name')
			};
		},
		setupController: function(controller, model){
			try{
				// This workaround is for accented characters such as ñ or á, é, í, etc...
				// Don't know if its an Ember-Phonegap issue or what...
				console.log(model.get('name'));
				controller.set('newMeeting', model);
				controller.set('creatorGotIt', false);
				controller.set('searchText', null);
				controller.set('friends', []);
				controller.set('invitedFriends', []);
				controller.searchFriends();
			} catch (e) {
				// Nothing to do
			}
		}
	});
});